package ru.myitschool.work.api.data.dto.employee;

import androidx.annotation.Nullable;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class EmployeeDTO {
    @Nullable
    @SerializedName("id")
    public long id;

    @Nullable
    @SerializedName("name")
    public String name;
    @Nullable
    @SerializedName("surname")
    public String surname;
    @Nullable
    @SerializedName("patronymic")
    public String patronymic;
    @Nullable
    @SerializedName("telephone")
    public String telephone;
    @Nullable
    @SerializedName("email")
    public String email;
    @Nullable
    @SerializedName("officeId")
    public long officeId;
    @Nullable
    @SerializedName("officeName")
    public String officeName;
    @Nullable
    @SerializedName("officeImageUrl")
    public String officeImageUrl;
    @Nullable
    @SerializedName("position")
    public String position; // Название должности
    @Nullable
    @SerializedName("role")
    public String role; // строка либо ROLE_USER, либо ROLE_ADMIN
    @Nullable
    @SerializedName("profileImageUrl")
    public String profileImageUrl;

    // Текущее состояние входа: false - visit (посещение) ещё не началось, true - visit идёт
    @Nullable
    @SerializedName("visitStatus")
    public boolean visitStatus;

    // Если visitStatus true, то возвращает дату и время начала посещения в формате LocalDateTime.toString(),
    // превратить обратно можно с помощью LocalDateTime.parse().
    // Если visitStatus false, то возвращает null.
    @Nullable
    @SerializedName("startVisitDateTime")
    public String startVisitDateTime;
    @Nullable
    @SerializedName("visitsIdLast30Days")
    public List<Long> visitsIdLast30Days; // Список Id посещений за последние 30 дней.

    // Возвращает количество отработанных часов за последний месяц.
    @Nullable
    @SerializedName("totalTimeVisitsLast30Days")
    public long totalTimeVisitsLast30Days;

    // (Возможно это стоит убрать) Название офиса, в котором сейчас находится работник.
    // Если visitStatus false, возвращает null.
    @Nullable
    @SerializedName("currentOfficeName")
    public String currentOfficeName;

    // Возвращает время регистрации в формате LocalDateTime.toString(),
    // превратить обратно можно с помощью LocalDateTime.parse().
    @Nullable
    @SerializedName("createAt")
    public String createAt;
}