package ru.myitschool.work.api.data.source;

import java.util.List;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.GET;
import retrofit2.http.PATCH;
import retrofit2.http.PUT;
import retrofit2.http.Path;
import ru.myitschool.work.api.data.dto.employee.EmployeeDTO;

public interface EmployeeApi {
    @GET("api/v1/employees")
    Call<List<EmployeeDTO>> getAll();

    @GET("api/v1/employees/{id}")
    Call<EmployeeDTO> getEmployeeById(@Path("id") long id);

    @GET("api/v1/employees/email/{email}")
    Call<EmployeeDTO> getEmployeeByEmail(@Path("email") String email);

    @GET("api/v1/employees/telephone/{telephone}")
    Call<EmployeeDTO> getEmployeeByTelephone(@Path("telephone") String telephone);

    @PUT("api/v1/employees/{id}")
    Call<EmployeeDTO> updateEmployee(@Path("id") long id, @Body EmployeeDTO employeeDTO);

    @DELETE("api/v1/employees/{id}")
    Call<Void> deleteEmployee(@Path("id") long id);

    @PATCH("api/v1/employees/{id}/{centerId}")
    Call<Void> patchEmployee(@Path("id") long id, @Path("centerId") long centerId); //перепривязка к другому центру
}
