package ru.myitschool.work.api.data.source;

import java.util.List;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Path;
import retrofit2.http.Query;
import ru.myitschool.work.api.data.dto.OfficeDTO;

public interface OfficeApi {
    @GET("api/v1/offices")
    Call<List<OfficeDTO>> getAllOffices();

    @GET("api/v1/offices/{id}")
    Call<OfficeDTO> getOfficesById(@Path("id") long id);

    @GET("api/v1/offices/sorted/distance")
    Call<List<OfficeDTO>> getSortedOffices(@Query("latitude") double latitude, @Query("longitude") double longitude);

    @POST("api/v1/offices")
    Call<OfficeDTO> createOffice(@Body OfficeDTO centerDTO);

    @PUT("api/v1/offices/{id}")
    Call<OfficeDTO> updateOffice(@Path("id") long id, @Body OfficeDTO centerDTO);

    @DELETE("api/v1/offices/{id}")
    Call<Void> deleteEmployee(@Path("id") long id);
}
