package ru.myitschool.work.api.domain.entity;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

public class Status<T> {
    final int statusCod;
    @Nullable private final T value;
    @Nullable private final Throwable errors;

    public Status(int statusCod, @Nullable T value, @Nullable Throwable errors) {
        this.statusCod = statusCod;
        this.value = value;
        this.errors = errors;
    }

    public int getStatusCod() {
        return statusCod;
    }

    @Nullable
    public T getValue() {
        return value;
    }

    @Nullable
    public Throwable getErrors() {
        return errors;
    }
}
