package ru.myitschool.work.api.domain.entity.employee;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

public class ItemEmployeeEntity {
    @NonNull private final long id;
    @NonNull private final String name;
    @NonNull private final String surname;
    @NonNull private final String patronymic;
    @NonNull private final String profileImageUrl;
    @NonNull private final String officeName;
    @NonNull private final String position; // Название должности

    // Текущее состояние входа: false - visit (посещение) ещё не началось, true - visit идёт
    @NonNull private final boolean visitStatus;

    public ItemEmployeeEntity(long id, @NonNull String name, @NonNull String surname, @Nullable String patronymic, @NonNull String profileImageUrl, @NonNull String officeName, @NonNull String position, boolean visitStatus) {
        this.id = id;
        this.name = name;
        this.surname = surname;
        this.patronymic = patronymic;
        this.profileImageUrl = profileImageUrl;
        this.officeName = officeName;
        this.position = position;
        this.visitStatus = visitStatus;
    }

    public long getId() {
        return id;
    }

    @NonNull
    public String getName() {
        return name;
    }

    @NonNull
    public String getSurname() {
        return surname;
    }

    @NonNull
    public String getPatronymic() {
        return patronymic;
    }

    @NonNull
    public String getProfileImageUrl() {
        return profileImageUrl;
    }

    @NonNull
    public String getOfficeName() {
        return officeName;
    }

    @NonNull
    public String getPosition() {
        return position;
    }

    public boolean isVisitStatus() {
        return visitStatus;
    }
}
