package ru.myitschool.work.api.domain.entity.office;

import androidx.annotation.NonNull;

import java.util.List;

import ru.myitschool.work.api.data.dto.TerminalDTO;
import ru.myitschool.work.api.data.dto.employee.EmployeeItemDTO;

public class OfficeEntity {
    @NonNull private final long id;
    @NonNull private final String name;
    @NonNull private final String description;
    @NonNull private final String address;
    @NonNull private final Double latitude;
    @NonNull private final Double longitude;
    @NonNull private final String linkLogo;

    @NonNull private final String telephone;
    @NonNull private final String email;
    @NonNull private final List<EmployeeItemDTO> empoyers;  // Список id имплоев
    @NonNull private final List<TerminalDTO> terminals;
    public OfficeEntity(long id, @NonNull String name, @NonNull String description, @NonNull String address, @NonNull Double latitude, @NonNull Double longitude, @NonNull String linkLogo, @NonNull String telephone, @NonNull String email, @NonNull List<EmployeeItemDTO> employers, @NonNull List<TerminalDTO> terminals) {
        this.id = id;
        this.name = name;
        this.description = description;
        this.address = address;
        this.linkLogo = linkLogo;
        this.latitude = latitude;
        this.longitude = longitude;
        this.telephone = telephone;
        this.email = email;
        this.empoyers = employers;
        this.terminals = terminals;
    }

    public long getId() {
        return id;
    }

    @NonNull
    public String getName() {
        return name;
    }

    @NonNull
    public String getAddress() {
        return address;
    }

    @NonNull
    public String getLinkLogo() {
        return linkLogo;
    }

    @NonNull
    public Double getLatitude() {
        return latitude;
    }

    @NonNull
    public Double getLongitude() {
        return longitude;
    }

    @NonNull
    public List<EmployeeItemDTO> getEmpoyers(){ return empoyers;}

    @NonNull
    public String getDescription() {
        return description;
    }

    @NonNull
    public List<TerminalDTO> getTerminals() {
        return terminals;
    }

    @NonNull
    public String getTelephone() {
        return telephone;
    }

    @NonNull
    public String getEmail() {
        return email;
    }
}
